#include <ansi_c.h>
#include <userint.h>
#include "sig_utils.h"
#include <uut_util.h>
#include "interface.h"
#include <lsa_tools.h>



int CVICALLBACK writeMTB (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
  	unsigned int address, data;
    char cmdBuf[1024], MTB_reg[512];
   
	if (event != EVENT_COMMIT) 
	return 0;
	
	GetCtrlVal(panel, MTB_PANEL_MTB_REG_ADDR, &address);
	GetCtrlVal(panel, MTB_PANEL_MTB_REG_DATA, &data);
	sprintf (cmdBuf, "$$HA_MEMORY BYTE, %x, %x ",address, data);
	WriteDevice (cmdBuf);
	return 0;
}



int CVICALLBACK readMTB (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
  	unsigned int address, regVal;
    char cmdBuf[1024], *strP, MTB_reg[512];
   
	if (event != EVENT_COMMIT) 
   	return 0;              									   

	
	GetCtrlVal(panel, MTB_PANEL_MTB_REG_ADDR, &address);
	//IM_WriteDevice (DSO, DEVICE_1, "CHAR OFF");	
	sprintf (cmdBuf, "$$HA_MEMORY? BYTE, %x, 1", address);
	IM_WriteDevice (cmdBuf);
	//printf ("%s \n", cmdBuf);
	ReadDevice(MTB_reg, 512); 
	//printf ("%s \n", MTB_reg);

	// parse return string for rgister data		
	strtok (MTB_reg, ",");
	strP = strtok (NULL, ",");
	strP = strtok (NULL, ",");
	sscanf (strP, "%x", &regVal);

	// MTB register value
	SetCtrlVal(panel, MTB_PANEL_MTB_REG_DATA, regVal);
		
	
	return 0;
}

int CVICALLBACK exitPanel (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	if (event != EVENT_COMMIT)
	return 0; 
	DiscardPanel (gMTBPanelHandle);
	SetCtrlAttribute (gMainPanelHandle, MAIN_PANEL_MTB_BTN, ATTR_DIMMED, 0);
	return 0;
}
