/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1998. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  DACPANEL                        1
#define  DACPANEL_DACVALUE               2       /* callback function: ReadDacValue */
#define  DACPANEL_RING                   3       /* callback function: ReadDacValue */
#define  DACPANEL_READ_BTN               4       /* callback function: Execute */
#define  DACPANEL_UPDATE_BTN             5       /* callback function: Execute */
#define  DACPANEL_RAMP_BTN               6       /* callback function: RampDAC */
#define  DACPANEL_STOP_RAMP_BTN          7       /* callback function: StopRampDAC */
#define  DACPANEL_EXIT_BTN               8       /* callback function: UloadPanel */
#define  DACPANEL_DECORATION             9
#define  DACPANEL_DECORATION_2           10

#define  LD_CON                          2
#define  LD_CON_EN_EXT_REF               2       /* callback function: Write_LD_CON */
#define  LD_CON_DIVIDER_6                3       /* callback function: Write_LD_CON */
#define  LD_CON_DIVIDER_5                4       /* callback function: Write_LD_CON */
#define  LD_CON_DIVIDER_4                5       /* callback function: Write_LD_CON */
#define  LD_CON_DIVIDER_3                6       /* callback function: Write_LD_CON */
#define  LD_CON_DIVIDER_2                7       /* callback function: Write_LD_CON */
#define  LD_CON_DIVIDER_1                8       /* callback function: Write_LD_CON */
#define  LD_CON_DIVIDER_0                9       /* callback function: Write_LD_CON */
#define  LD_CON_PRE_DIV_3                10      /* callback function: Write_LD_CON */
#define  LD_CON_PRE_DIV_2                11      /* callback function: Write_LD_CON */
#define  LD_CON_PRE_DIV_1                12      /* callback function: Write_LD_CON */
#define  LD_CON_PRE_DIV_0                13      /* callback function: Write_LD_CON */
#define  LD_CON_CLKX1                    14      /* callback function: Write_LD_CON */
#define  LD_CON_MDX_COUNT                15      /* callback function: Write_LD_CON */
#define  LD_CON_400_SEL                  16      /* callback function: Write_LD_CON */
#define  LD_CON_500_SEL                  17      /* callback function: Write_LD_CON */
#define  LD_CON_CH1_HAD_A_SEL            18      /* callback function: Write_LD_CON */
#define  LD_CON_CH1_MDX_CLK_DLY          19      /* callback function: Write_LD_CON */
#define  LD_CON_CH1_ADC_CLK_DLY          20      /* callback function: Write_LD_CON */
#define  LD_CON_CH2_HAD_A_SEL            21      /* callback function: Write_LD_CON */
#define  LD_CON_CH2_MDX_CLK_DLY          22      /* callback function: Write_LD_CON */
#define  LD_CON_CH2_ADC_CLK_DLY          23      /* callback function: Write_LD_CON */
#define  LD_CON_CH2_RELAY                24      /* callback function: Write_LD_CON */
#define  LD_CON_CH1_RELAY                25      /* callback function: Write_LD_CON */
#define  LD_CON_CAL_OSC                  26      /* callback function: Write_LD_CON */
#define  LD_CON_TRIG_SEL_2               27      /* callback function: Write_LD_CON */
#define  LD_CON_TRIG_SEL_1               28      /* callback function: Write_LD_CON */
#define  LD_CON_TRIG_SEL_0               29      /* callback function: Write_LD_CON */
#define  LD_CON_EXIT_LD_CON              30      /* callback function: Exit_ld_con */
#define  LD_CON_DECORATION               31
#define  LD_CON_DECORATION_2             32
#define  LD_CON_DECORATION_3             33
#define  LD_CON_DECORATION_4             34
#define  LD_CON_DECORATION_5             35
#define  LD_CON_DECORATION_6             36
#define  LD_CON_DECORATION_7             37

#define  LD_FE_PAN                       3
#define  LD_FE_PAN_UPDATE                2       /* callback function: Unload_ld_fe_panel */
#define  LD_FE_PAN_G1_2                  3       /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_ENA_2                 4       /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_ENB_2                 5       /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_ENC_2                 6       /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_G0_2                  7       /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_BWL1_2                8       /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_BWL0_2                9       /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_LINON_2               10      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_02ON_2                11      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_01ON_2                12      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_WIND_2                13      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_HF_2                  14      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_02NEG_2               15      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_01NEG_2               16      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_DB1_2                 17      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_DB0_2                 18      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_HA1_2                 19      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_HA0_2                 20      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_G1_1                  21      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_ENA_1                 22      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_ENB_1                 23      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_ENC_1                 24      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_G0_1                  25      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_BWL1_1                26      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_BWL0_1                27      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_LINON_1               28      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_02ON_1                29      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_01ON_1                30      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_WIND_1                31      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_HF_1                  32      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_02NEG_1               33      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_01NEG_1               34      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_DB1_1                 35      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_DB0_1                 36      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_HA1_1                 37      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_HA0_1                 38      /* callback function: Udate_LD_FE */
#define  LD_FE_PAN_DECORATION            39
#define  LD_FE_PAN_DECORATION_2          40
#define  LD_FE_PAN_TEXTMSG               41
#define  LD_FE_PAN_TEXTMSG_2             42

#define  MAIN_PANEL                      4
#define  MAIN_PANEL_EXIT_BTN             2       /* callback function: PanelLoad */
#define  MAIN_PANEL_MTB_BTN              3       /* callback function: PanelLoad */
#define  MAIN_PANEL_MDX_BTN              4       /* callback function: PanelLoad */
#define  MAIN_PANEL_MEM_BTN              5       /* callback function: PanelLoad */
#define  MAIN_PANEL_DAC_BTN              6       /* callback function: PanelLoad */
#define  MAIN_PANEL_LD_CON_BTN           7       /* callback function: PanelLoad */
#define  MAIN_PANEL_LD_FE_BTN            8       /* callback function: PanelLoad */

#define  MDX                             5
#define  MDX_WRITE16BIT_2                2       /* callback function: ChgMDX_reg0 */
#define  MDX_CPUMTBWRDSEL_2              3       /* callback function: ChgMDX_reg0 */
#define  MDX_ADCMEMINSEL_2               4       /* callback function: ChgMDX_reg0 */
#define  MDX_MMMODSEL_2_1                5       /* callback function: ChgMDX_reg0 */
#define  MDX_MMMODSEL_2_0                6       /* callback function: ChgMDX_reg0 */
#define  MDX_MTBRW_2                     7       /* callback function: ChgMDX_reg0 */
#define  MDX_SNOOP_2                     8       /* callback function: ChgMDX_reg0 */
#define  MDX_SWAPAB_2                    9       /* callback function: ChgMDX_reg0 */
#define  MDX_BYTE0TO7OEN_2               10      /* callback function: ChgMDX_reg1 */
#define  MDX_INVA_2                      11      /* callback function: ChgMDX_reg2 */
#define  MDX_INVB_2                      12      /* callback function: ChgMDX_reg2 */
#define  MDX_FLIPA_2                     13      /* callback function: ChgMDX_reg2 */
#define  MDX_FLIPB_2                     14      /* callback function: ChgMDX_reg2 */
#define  MDX_BIN2GRAY_2                  15      /* callback function: ChgMDX_reg2 */
#define  MDX_GRAY2BIN_2                  16      /* callback function: ChgMDX_reg2 */
#define  MDX_REVBIT_2_1                  17      /* callback function: ChgMDX_reg2 */
#define  MDX_REVBIT_2_0                  18      /* callback function: ChgMDX_reg2 */
#define  MDX_INVMSB_2                    19      /* callback function: ChgMDX_reg3 */
#define  MDX_MEMDELAY_2_1                20      /* callback function: ChgMDX_reg3 */
#define  MDX_MEMDELAY_2_0                21      /* callback function: ChgMDX_reg3 */
#define  MDX_ADRSDELAY_2_1               22      /* callback function: ChgMDX_reg3 */
#define  MDX_ADRSDELAY_2_0               23      /* callback function: ChgMDX_reg3 */
#define  MDX_ADRSDIV_2_1                 24      /* callback function: ChgMDX_reg3 */
#define  MDX_ADRSDIV_2_0                 25      /* callback function: ChgMDX_reg3 */
#define  MDX_STARTADDRESS_2              26      /* callback function: ChgMDX_reg4 */
#define  MDX_WRITE16BIT                  27      /* callback function: ChgMDX_reg0 */
#define  MDX_CPUMTBWRDSEL                28      /* callback function: ChgMDX_reg0 */
#define  MDX_ADCMEMINSEL                 29      /* callback function: ChgMDX_reg0 */
#define  MDX_MMMODSEL_1                  30      /* callback function: ChgMDX_reg0 */
#define  MDX_MMMODSEL_0                  31      /* callback function: ChgMDX_reg0 */
#define  MDX_MTBRW                       32      /* callback function: ChgMDX_reg0 */
#define  MDX_SNOOP                       33      /* callback function: ChgMDX_reg0 */
#define  MDX_SWAPAB                      34      /* callback function: ChgMDX_reg0 */
#define  MDX_BYTE0TO7OEN                 35      /* callback function: ChgMDX_reg1 */
#define  MDX_INVA                        36      /* callback function: ChgMDX_reg2 */
#define  MDX_INVB                        37      /* callback function: ChgMDX_reg2 */
#define  MDX_FLIPA                       38      /* callback function: ChgMDX_reg2 */
#define  MDX_FLIPB                       39      /* callback function: ChgMDX_reg2 */
#define  MDX_BIN2GRAY                    40      /* callback function: ChgMDX_reg2 */
#define  MDX_GRAY2BIN                    41      /* callback function: ChgMDX_reg2 */
#define  MDX_REVBIT_1                    42      /* callback function: ChgMDX_reg2 */
#define  MDX_REVBIT_0                    43      /* callback function: ChgMDX_reg2 */
#define  MDX_INVMSB                      44      /* callback function: ChgMDX_reg3 */
#define  MDX_MEMDELAY_1                  45      /* callback function: ChgMDX_reg3 */
#define  MDX_MEMDELAY_0                  46      /* callback function: ChgMDX_reg3 */
#define  MDX_ADRSDELAY_1                 47      /* callback function: ChgMDX_reg3 */
#define  MDX_ADRSDELAY_0                 48      /* callback function: ChgMDX_reg3 */
#define  MDX_ADRSDIV_1                   49      /* callback function: ChgMDX_reg3 */
#define  MDX_ADRSDIV_0                   50      /* callback function: ChgMDX_reg3 */
#define  MDX_STARTADDRESS                51      /* callback function: ChgMDX_reg4 */
#define  MDX_READREG0                    52      /* callback function: readReg0 */
#define  MDX_READREG1                    53      /* callback function: readReg1 */
#define  MDX_READREG2                    54      /* callback function: readReg2 */
#define  MDX_READREG3                    55      /* callback function: readReg3 */
#define  MDX_READREG4                    56      /* callback function: readReg4 */
#define  MDX_CLOSEMDX                    57      /* callback function: exitMDXpanel */
#define  MDX_TEXTMSG                     58
#define  MDX_DECORATION                  59
#define  MDX_DECORATION_2                60
#define  MDX_DECORATION_5                61
#define  MDX_TEXTMSG_5                   62
#define  MDX_CHANN_A                     63
#define  MDX_CHANN_A_2                   64
#define  MDX_DECORATION_3                65
#define  MDX_DECORATION_4                66
#define  MDX_TEXTMSG_2                   67
#define  MDX_TEXTMSG_3                   68
#define  MDX_TEXTMSG_4                   69

#define  MEMPANEL                        6
#define  MEMPANEL_MEM_ADDR               2
#define  MEMPANEL_LENGHT                 3
#define  MEMPANEL_MEMDATA                4
#define  MEMPANEL_DATA_TYPE              5       /* callback function: MemoryUtil */
#define  MEMPANEL_READ_BTN               6       /* callback function: MemoryUtil */
#define  MEMPANEL_WRITE_BTN              7       /* callback function: MemoryUtil */
#define  MEMPANEL_EXIT_BTN               8       /* callback function: MemoryUtil */

#define  MTB_PANEL                       7
#define  MTB_PANEL_MTB_REG_DATA          2
#define  MTB_PANEL_MTB_REG_ADDR          3
#define  MTB_PANEL_WRITE_BTN_2           4       /* callback function: exitPanel */
#define  MTB_PANEL_WRITE_BTN             5       /* callback function: writeMTB */
#define  MTB_PANEL_READ_BTN              6       /* callback function: readMTB */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK ChgMDX_reg0(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ChgMDX_reg1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ChgMDX_reg2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ChgMDX_reg3(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ChgMDX_reg4(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Execute(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK exitMDXpanel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK exitPanel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Exit_ld_con(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK MemoryUtil(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PanelLoad(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RampDAC(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ReadDacValue(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK readMTB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK readReg0(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK readReg1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK readReg2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK readReg3(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK readReg4(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK StopRampDAC(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Udate_LD_FE(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UloadPanel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Unload_ld_fe_panel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK writeMTB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Write_LD_CON(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
