
/************************************************************
$Header: /Test Framework 3/LSA1000 GS/Test Tools/mem_utils.c 1     4/27/98 4:55p Ricardop $Log:
revision: 1.0

************************************************************/
#include <ansi_c.h>
#include <inifile.h>
#include "interface.h"
#include <userint.h>
#include "sig_utils.h"
#include <uut_util.h>
#include <lsa_tools.h>


int CVICALLBACK MemoryUtil (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	char *strP;
	char *cmdBuf, *tmpBuf;
	char dataType[8], tmpStr[512];	
	unsigned int memAddr;    
    unsigned int memData;
    unsigned int lenght;
    int i, bufsiz;
   
    if (event != EVENT_COMMIT) 
   	return 0;              									   
	
	
	switch (control) 
	{	
	// this is executed when READ button is pushed
		case MEMPANEL_READ_BTN:
			GetCtrlVal (gMemPanelHandle, MEMPANEL_LENGHT, &lenght);  
			GetCtrlVal (gMemPanelHandle, MEMPANEL_DATA_TYPE, dataType);
			GetCtrlVal (gMemPanelHandle, MEMPANEL_MEM_ADDR, &memAddr);
			GetCtrlVal (gMemPanelHandle, MEMPANEL_MEMDATA, &memData);
			cmdBuf = (char *) malloc ((sizeof(char)*(512 *lenght + 32)));
			 
			sprintf (cmdBuf, "$$HA_MEMORY? %s, %x, %x",dataType, memAddr, lenght);
			WriteDevice (cmdBuf);
			printf ("%s \n", cmdBuf);
			bufsiz = (512 *lenght + 32);
			ReadDevice(cmdBuf, bufsiz);
			//printf ("%s \n", cmdBuf);
			
			//IM_ReadDevice (DSO, DEVICE_1, tmpStr , 512);
			//printf ("%s \n", tmpStr);
			
			//IM_QueryDevice (DSO, DEVICE_1, cmdBuf, cmdBuf, (4 *lenght + 32));
			strtok (cmdBuf, ",");
			strP = strtok (NULL, ",");
			sscanf (strP, "%x", &memAddr);
			for (i = 0; i < lenght; ++i)
			{
				strP = strtok (NULL, ",");
				if (i % 16 == 0)// to print 16 digits of data
				{
					printf ("\n");
				}
				printf ("%s ",strP);
			}	
			sscanf (strP, "%x", &memData);
			SetCtrlVal (gMemPanelHandle, MEMPANEL_MEMDATA, memData);
			free (cmdBuf);
			break;
		
		case MEMPANEL_WRITE_BTN:
		 // this is executed when Write button is pushed	
			GetCtrlVal (gMemPanelHandle, MEMPANEL_LENGHT, &lenght); 
			GetCtrlVal (gMemPanelHandle, MEMPANEL_DATA_TYPE, dataType);
			GetCtrlVal (gMemPanelHandle, MEMPANEL_MEM_ADDR, &memAddr);
			GetCtrlVal (gMemPanelHandle, MEMPANEL_MEMDATA, &memData);
			bufsiz = (sizeof(char)*(600 *lenght + 32));
			cmdBuf = (char *) malloc (bufsiz);
			//tmpBuf = (char *) malloc ((sizeof(char)*(600 *lenght + 32)));
			sprintf (cmdBuf, "$$HA_MEMORY %s, %x ",dataType, memAddr);
			for (i = 0; i < lenght; ++i)
			{
				sprintf (cmdBuf,"%s,%x", cmdBuf, memData);
			}	
			WriteDevice (cmdBuf);
			printf ("%s \n", cmdBuf);
			free (cmdBuf);
			//free (tmpBuf);
			break;
		case MEMPANEL_EXIT_BTN:
			DiscardPanel (gMemPanelHandle);
			SetCtrlAttribute (gMainPanelHandle, MAIN_PANEL_MEM_BTN, ATTR_DIMMED, 0);
			break;
			
	
	}
	return 0;
}

